Subject: Re: help on makefile
From: Nicolas Roche <[email-masked]>
To: Yung Leem <[email-masked]>
Cc: [email-masked]
Date: Fri, 27 Aug 2004 14:50:52 +0200

Yung Leem wrote:
> Hello to all cygwin experts,
> 
> I am a newbie cygwin user that's having a problem compiling a java source.
> I am running a makefile that's calling "javac -cp [some_dir] /cygdrive/c/blah/myclass.java"
> that's complaining about not being able to find that file.  Being familiar with unix development,
> I assumed that the shell process would spawn the javac process, but I think my guess is wrong.
> What really seems to happen is that javac gets called from Windows XP (the system I am using)
> and javac (from windows xp process) tries to compile that /cygdrive/c/blah/myclass.java file, and
> obviously fails to find that file.  What are the options I have?

your javac program is not a cygwin program so it won't understand the cygwin 
like path. One solution is to use cygpath -w to translate cygwin-like path to 
windows-like path.

> I am really freaking out that something like LD_LIBRARY_PATH, CLASSPATH, or PATH variables use ":"
> colon as a delimeter, but windows file systems recognize ":" as a drive name not as a delimeter. 
> So having something like "export CLASSPATH=c:/windows:c:/temp:c:/blah:$CLASSPATH" will be a
> nightmare.  I need some advise.  Thanks in advance for answering my question.

Cygwin handle very well the path separators. If you do in cygwin bash
$ export CLASSPATH=c:/windows:c:/temp:c:/blah:$CLASSPATH

you can launch a windows shell from cygwin and see that the var have been 
translated correctly (: -> ;)

Nicolas

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/